Index: jobvista-frontend/src/auth/RoutesConfig.js
===================================================================
--- jobvista-frontend/src/auth/RoutesConfig.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/auth/RoutesConfig.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -4,5 +4,5 @@
 import {SignUpRecruiterForm} from "../views/auth/SignUpRecruiterForm";
 import {SignUpJobSeekerForm} from "../views/auth/SignUpJobSeekerForm";
-import {Workspace} from "../views/job_advertisements/RecruiterWorkspace";
+import {Workspace} from "../views/job_advertisements/JobManagementHub";
 import {JobAdDetails} from "../views/job_advertisements/JobAdDetails";
 import {ApplicationsByJobAd} from "../views/applications/ApplicationsByJobAd";
@@ -10,12 +10,13 @@
 
 import {AdminPanel} from "../views/admin_panel/AdminPanel";
-import {RecruiterProfile} from "../views/recruiters/RecruiterProfile";
+import {RecruiterProfile} from "../views/profiles/RecruiterProfile";
 import {AboutUs} from "../views/static/AboutUs";
-import {JobSeekerEditProfile} from "../views/edit_profile/JobSeekerEditProfile";
-import {RecruiterEditProfile} from "../views/edit_profile/RecruiterEditProfile";
+import {JobSeekerEditProfile} from "../views/profiles/JobSeekerEditProfile";
+import {RecruiterEditProfile} from "../views/profiles/RecruiterEditProfile";
 import Roles from "../enumerations/Roles";
 import {useSelector} from "react-redux";
 import {useEffect, useState} from "react";
 import {ErrorPage} from "../views/static/ErrorPage";
+import {NoAccess} from "../views/static/NoAccess";
 
 export const PrivateRoutes = [
@@ -158,4 +159,14 @@
             Roles.JOBSEEKER,
             Roles.ADMIN
+        ]
+    },
+    {
+        component: NoAccess,
+        path: '/no-access',
+        title: 'No Access',
+        exact: true,
+        permission: [
+            Roles.GUEST,
+            Roles.RECRUITER,
         ]
     },
Index: jobvista-frontend/src/redux/actions/JobSeekerActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/JobSeekerActions.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
+++ jobvista-frontend/src/redux/actions/JobSeekerActions.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -0,0 +1,67 @@
+import axios from "../../axios/axiosInstance";
+import {SET_PROFILE_PIC_URL} from "../actionTypes";
+
+export const JobSeekerActions = {
+
+    submitProfilePic: (formData, callback) => {
+        let jobSeekerId = formData.get("jobSeekerId");
+        let profilePicFile =  formData.get("profilePicFile")
+        return dispatch => {
+            axios.post("/job-seeker/submit-profile-pic", formData, {
+                headers: {
+                    'Content-Type': 'multipart/form-data'
+                }
+            })
+                .then(response => {
+                    const blob = new Blob([profilePicFile])
+                    const profilePicUrl = window.URL.createObjectURL(blob);
+                    dispatch({
+                        type: SET_PROFILE_PIC_URL,
+                        payload: {jobSeekerId, profilePicUrl}
+                    })
+                    callback(true, response)
+                }).catch(error => {
+                    callback(false, error)
+            })
+        }
+    },
+
+    downloadProfilePic: (jobSeekerId, callback) => {
+        return dispatch => {
+            return axios.get("/job-seeker/" + jobSeekerId + "/download-profile-pic", {responseType: "blob"})
+                .then(response => {
+                    const blob = new Blob([response.data])
+                    const profilePicUrl = window.URL.createObjectURL(blob);
+                    dispatch({
+                        type: SET_PROFILE_PIC_URL,
+                        payload: {jobSeekerId, profilePicUrl}
+                    });
+                    callback(true, profilePicUrl)
+                }).catch(error => {
+                    callback(false, error)
+                })
+        }
+    },
+
+    fetchJobSeekerEditDetailsById: (id, callback) => {
+        return dispatch => {
+            return axios.get("/job-seeker/"+id+"/edit-info")
+                .then(response => {
+                    callback(true, response)
+                }).catch(error => {
+                    callback(false, error)
+                })
+        }
+    },
+
+    editJobSeekerDetailsById: (data, id, callback) => {
+        return dispatch => {
+            return axios.post("/job-seeker/"+id+"/edit-info", data)
+                .then(response => {
+                    callback(true, response)
+                }).catch(error => {
+                    callback(false, error)
+                })
+        }
+    }
+}
Index: jobvista-frontend/src/redux/actions/applicationActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/applicationActions.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/redux/actions/applicationActions.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -10,5 +10,5 @@
     submitApplication: (application, callback) => {
         return dispatch => {
-            axios.post("/job-advertisements/apply", application, {
+            axios.post("/applications/submit", application, {
                 headers: {
                     'Content-Type': 'multipart/form-data'
@@ -26,38 +26,36 @@
             })
         }
-
     },
     updateApplicationStatus: (id, status, callback) => {
         console.log(status)
-      return dispatch => {
-            // TO DO: REFACTOR
-          axios.post("/applications/" + id + "/update", {
-              id: id,
-              status: status
-          })
-              .then(response => {
-                  dispatch({
-                      type: UPDATE_APPLICATION_STATUS,
-                      application: response.data,
-                  })
-                  callback(true, response)
-              }).catch(error => {
-              callback(false, error)
-          })
-      }
+        return dispatch => {
+            axios.post("/applications/" + id + "/update", {
+                id: id,
+                status: status
+            })
+                .then(response => {
+                    dispatch({
+                        type: UPDATE_APPLICATION_STATUS,
+                        application: response.data,
+                    })
+                    callback(true, response)
+                }).catch(error => {
+                callback(false, error)
+            })
+        }
     },
     fetchApplicationsByJobSeeker: (jobSeekerId, callback) => {
-      return dispatch => {
-          axios.get("/my-applications/" + jobSeekerId)
-              .then(response => {
-                  dispatch({
-                      type: FETCH_APPLICATIONS_BY_JOB_SEEKER_ID,
-                      applicationsByJobSeeker: response.data
-                  })
-                  callback(true, response)
-              }).catch(error => {
-                  callback(false, error)
-          })
-      }
+        return dispatch => {
+            axios.get("/my-applications/" + jobSeekerId)
+                .then(response => {
+                    dispatch({
+                        type: FETCH_APPLICATIONS_BY_JOB_SEEKER_ID,
+                        applicationsByJobSeeker: response.data
+                    })
+                    callback(true, response)
+                }).catch(error => {
+                callback(false, error)
+            })
+        }
     },
 
@@ -77,17 +75,15 @@
         }
     },
-    downloadResume: (fileName, callback) => {
-        return dispatch => {
-            return axios.get("/resume/" + fileName, {responseType: "blob"})
-                .then(response => {
-                    const blob = new Blob([response.data], { type: 'application/pdf' });
-                    const url = window.URL.createObjectURL(blob);
-                    callback(true, url);
-                })
+    downloadResume: (id, callback) => {
+        return axios.get("/applications/" + id + "/download-resume", {responseType: "blob"})
+            .then(response => {
+                const blob = new Blob([response.data], {type: 'application/pdf'});
+                const url = window.URL.createObjectURL(blob);
+                callback(true, url);
+            })
+            .catch(error => {
+                callback(false, error)
+            })
 
-                .catch(error => {
-                    callback(false, error)
-                })
-        }
     }
 }
Index: jobvista-frontend/src/redux/actions/jobAdvertisementActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/jobAdvertisementActions.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/redux/actions/jobAdvertisementActions.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -10,9 +10,5 @@
     addJobAdvertisement: (jobAdvertisement, callback) => {
         return dispatch => {
-            axios.post("/job-advertisements/add",  jobAdvertisement, {
-                headers: {
-                    'Content-Type': 'application/json'
-                },
-            })
+            axios.post("/job-advertisements/add", jobAdvertisement)
                 .then(response => {
                     dispatch({
@@ -20,7 +16,8 @@
                         jobAdvertisement: response.data
                     })
-                    callback(true, response)
+                    callback(true)
                 }).catch((error) => {
-                callback(false, error)
+                console.error(error)
+                callback(false)
             })
         }
@@ -34,7 +31,8 @@
                         jobAdvertisement: response.data
                     })
-                    callback(true, response)
+                    callback(true)
                 }).catch((error) => {
-                callback(false, error)
+                console.error(error)
+                callback(false)
             })
         }
@@ -50,5 +48,6 @@
                     callback(true)
                 }).catch(error => {
-                callback(false, error)
+                console.error(error)
+                callback(false)
             })
 
@@ -83,5 +82,6 @@
                 callback(true, response)
             }).catch((error) => {
-            callback(false, error)        })
+            callback(false, error)
+        })
 
     },
@@ -96,4 +96,16 @@
                         jobAdvertisementsByRecruiter: response.data,
                     })
+                    callback(true, response)
+                }).catch((error) => {
+                callback(false, error)
+            })
+        }
+    },
+
+    fetchJobAdvertisementsByRecruiterProfile: (recruiterId, callback) => {
+        return dispatch => {
+            let currentUser = JSON.parse(localStorage.getItem(CURRENT_USER));
+            axios.get("/job-advertisements/recruiter/" + recruiterId)
+                .then(response => {
                     callback(true, response)
                 }).catch((error) => {
@@ -116,5 +128,5 @@
 
     fetchRecruiterDetailsById: (id, callback) => {
-        axios.get("/recruiter/"+id+"/info")
+        axios.get("/recruiter/" + id + "/info")
             .then(response => {
                 callback(true, response)
Index: jobvista-frontend/src/redux/actions/recruiterActions.js
===================================================================
--- jobvista-frontend/src/redux/actions/recruiterActions.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
+++ jobvista-frontend/src/redux/actions/recruiterActions.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -0,0 +1,66 @@
+
+import axios from "../../axios/axiosInstance";
+import {SET_LOGO_URL} from "../actionTypes";
+export const RecruiterActions =  {
+    submitLogo: (formData, callback) => {
+        let recruiterId = formData.get("recruiterId");
+        let logoFile =  formData.get("logoFile")
+        return dispatch => {
+            axios.post("/recruiter/submit-logo", formData, {
+                headers: {
+                    'Content-Type': 'multipart/form-data'
+                }
+            })
+                .then(response => {
+                    const blob = new Blob([logoFile])
+                    const logoUrl = window.URL.createObjectURL(blob);
+                    dispatch({
+                        type: SET_LOGO_URL,
+                        payload: { recruiterId, logoUrl }
+                    });
+                    callback(true, response)
+                }).catch(error => {
+                    callback(false, error)
+            })
+        }
+    },
+
+    downloadLogo: (recruiterId, callback) => {
+        return dispatch => {
+            return axios.get("/recruiter/" + recruiterId + "/download-logo", {responseType: "blob"})
+                .then(response => {
+                    const blob = new Blob([response.data])
+                    const logoUrl = window.URL.createObjectURL(blob);
+                    dispatch({
+                        type: SET_LOGO_URL,
+                        payload: { recruiterId, logoUrl }
+                    });
+                    callback(true, logoUrl);
+                }).catch(error => {
+                    callback(false, error)
+                })
+        }
+    },
+
+    fetchRecruiterEditDetailsById: (id, callback) => {
+        return dispatch => {
+            return axios.get("/recruiter/"+id+"/edit-info")
+                .then(response => {
+                    callback(true, response)
+                }).catch(error => {
+                    callback(false, error)
+                })
+        }
+    },
+
+    editRecruiterDetailsById: (data, id, callback) => {
+        return dispatch => {
+            return axios.post("/recruiter/"+id+"/edit-info", data)
+                .then(response => {
+                    callback(true, response)
+                }).catch(error => {
+                    callback(false, error)
+                })
+        }
+    }
+}
Index: jobvista-frontend/src/redux/reducers/imagesReducer.js
===================================================================
--- jobvista-frontend/src/redux/reducers/imagesReducer.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
+++ jobvista-frontend/src/redux/reducers/imagesReducer.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -0,0 +1,32 @@
+import {SET_LOGO_URL, SET_PROFILE_PIC_URL} from "../actionTypes";
+
+const initialState = {
+    profilePictures: {},
+    logos: {}
+}
+
+const ImagesReducer = (state = initialState, action) => {
+
+    switch (action.type) {
+        case SET_PROFILE_PIC_URL:
+            return{
+                ...state,
+                profilePictures: {
+                   ...state.profilePictures, [action.payload.jobSeekerId]: action.payload.profilePicUrl
+                }
+            }
+        case SET_LOGO_URL:
+            return {
+                ...state,
+                logos: {
+                    ...state.logos, [action.payload.recruiterId]: action.payload.logoUrl
+                }
+            }
+        default:
+            return {
+                ...state,
+            };
+    }
+}
+
+export default ImagesReducer
Index: jobvista-frontend/src/utils/toastUtils.js
===================================================================
--- jobvista-frontend/src/utils/toastUtils.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
+++ jobvista-frontend/src/utils/toastUtils.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -0,0 +1,173 @@
+import { toast } from 'react-toastify';
+import 'react-toastify/dist/ReactToastify.css';
+
+
+export const notifyProfileEdit = () => {
+    toast.success(
+        <span>
+            Your details were successfully updated!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyProfilePicChange = () => {
+    toast.success(
+        <span>
+            Your profile picture was successfully changed!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyLogoChange = () => {
+    toast.success(
+        <span>
+            Your logo was successfully changed!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyJobAdEdit = () => {
+    toast.success(
+        <span>
+            Job advertisement updated successfully!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyJobAdPost = () => {
+    toast.success(
+        <span>
+            Job advertisement posted successfully!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyJobAdDelete = () => {
+    toast.success(
+        <span>
+            Job advertisement deleted successfully!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyAppStatusUpdate = () => {
+    toast.success(
+        <span>
+            Status updated successfully!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyJobAdApply = () => {
+    toast.success(
+        <span>
+            Your application was successfully sent!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyAccessUpdate = (companyName) => {
+    toast.success(
+        <span>
+            {companyName}'s access was successfully changed!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyIncorrectEmailOrPassword = () => {
+    toast.error(
+        <span>Incorrect email or password. Please try again.</span>,
+        {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        }
+    );
+}
Index: jobvista-frontend/src/utils/utils.js
===================================================================
--- jobvista-frontend/src/utils/utils.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/utils/utils.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -7,10 +7,4 @@
 }
 
-export const sortElementsBySubmissionDate = (array) => {
-    return array.slice().sort((a, b) => {
-        return new Date(b).getTime() - new Date(a.postedOn).getTime()
-    });
-}
-
 export const formatRelativeTime = (dateString) => {
     const date = new Date(dateString);
@@ -18,5 +12,4 @@
     const diffTime = now - date;
 
-    // Define time intervals in milliseconds
     const minute = 60 * 1000;
     const hour = minute * 60;
@@ -25,5 +18,4 @@
     const month = day * 30;
 
-    // Calculate the relative time
     if (diffTime < minute) {
         return 'just now';
Index: jobvista-frontend/src/views/admin_panel/AdminPanel.js
===================================================================
--- jobvista-frontend/src/views/admin_panel/AdminPanel.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/admin_panel/AdminPanel.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -54,5 +54,5 @@
     return (
         <div className="custom-container mt-5">
-            <table className="table table-striped">
+            <table className="table">
                 <thead>
                 <tr>
Index: jobvista-frontend/src/views/applications/ApplicationDetailsModal.js
===================================================================
--- jobvista-frontend/src/views/applications/ApplicationDetailsModal.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/applications/ApplicationDetailsModal.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -32,16 +32,24 @@
 
     useEffect(() => {
-        if(application) {
-            dispatch(ApplicationActions.downloadResume(application.fileName, (success, response) => {
-                if(success) {
+        if (application) {
+            ApplicationActions.downloadResume(application.id, (success, response) => {
+                if (success) {
                     setResumeUrl(response);
                 }
-            }))
+            })
         }
-    }, [application])
+    }, [])
+
+    function getFileName(path) {
+        let fileName = path.split('\\').pop().split('/').pop();
+
+        fileName = fileName.trim();
+
+        return fileName;
+    }
 
     return (<div className="modal-wrap">
         <button onClick={toggleModal} className="application-button">View application</button>
-        <Modal open={modal} onClose={toggleModal} center >
+        <Modal open={modal} onClose={toggleModal} center>
             <div className="head-modal">
                 <h3>{application.jobSeekerName}'s application for {application.jobAdTitle}</h3>
@@ -49,18 +57,20 @@
             </div>
 
-            <div className="modal-content" >
+            <div className="modal-content">
                 <form>
                     <div className="row">
                         <div className="col-md-6">
                             <label className="label">Why are you interested in joining our company?</label>
-                            <textarea disabled type="text" defaultValue={application.questionAnswers[0]} disabled placeholder="Write your answer here..." className="application-textarea"/>
-
-
+                            <textarea disabled type="text" defaultValue={application.questionAnswers[0]} disabled
+                                      placeholder="Write your answer here..." className="application-textarea"/>
+                            <br/><br/>
                             <label className="label">What makes you a good fit for this position?</label>
-                            <textarea disabled type="text" defaultValue={application.questionAnswers[1]}  placeholder="Write your answer here..." className="application-textarea"/>
-
-
-                            <label className="label">What do you hope to achieve in your first 6 months in this role?</label>
-                            <textarea disabled type="text" defaultValue={application.questionAnswers[2]}  placeholder="Write your answer here..." className="application-textarea"/>
+                            <textarea disabled type="text" defaultValue={application.questionAnswers[1]}
+                                      placeholder="Write your answer here..." className="application-textarea"/>
+                            <br/><br/>
+                            <label className="label">What do you hope to achieve in your first 6 months in this
+                                role?</label>
+                            <textarea disabled type="text" defaultValue={application.questionAnswers[2]}
+                                      placeholder="Write your answer here..." className="application-textarea"/>
 
                         </div>
@@ -68,10 +78,12 @@
                             <label htmlFor="start">Curriculum vitae (CV)</label>
                             <br/>
-                            <a className="resume-link" href={resumeUrl} target="_blank" rel="noopener noreferrer">{application.fileName}</a>
+                            <a className="resume-link" href={resumeUrl} target="_blank"
+                               rel="noopener noreferrer">{getFileName(application.fileName)}</a>
                             <br/>
 
                             <br/>
                             <label className="label">Message to the recruiter</label>
-                            <textarea disabled type="text" defaultValue={application.message} placeholder="Optional..." className="application-textarea"/>
+                            <textarea disabled type="text" defaultValue={application.message} placeholder="Optional..."
+                                      className="application-textarea"/>
 
                         </div>
Index: jobvista-frontend/src/views/applications/ApplicationsByJobSeeker.js
===================================================================
--- jobvista-frontend/src/views/applications/ApplicationsByJobSeeker.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/applications/ApplicationsByJobSeeker.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -7,4 +7,5 @@
 import {RecruiterActions} from "../../redux/actions/recruiterActions";
 import {sortElementsBy} from "../../utils/utils";
+import {Link} from "react-router-dom";
 
 export const ApplicationsByJobSeeker = () => {
@@ -97,5 +98,6 @@
 
                     <div className="app-info">
-                        <div className="jobAd-title">{application.jobAdTitle}</div>
+                        <Link to={`/job-advertisements/${application.jobAdId}`} className="jobAd-title">{application.jobAdTitle}</Link>
+                        {/*<h5 className="jobAd-title"></h5>*/}
                         <div className="contact-info">
                             <div className="contact-item">
Index: jobvista-frontend/src/views/applications/ApplyToJobAdModal.js
===================================================================
--- jobvista-frontend/src/views/applications/ApplyToJobAdModal.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/applications/ApplyToJobAdModal.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -51,6 +51,6 @@
 
             dispatch(ApplicationActions.submitApplication(
-                formData,(success, response) => {
-                    if(success) {
+                formData, (success) => {
+                    if (success) {
                         toggleModal()
                         notifyJobAdApply()
@@ -66,11 +66,11 @@
 
     return (<div className="modal-wrap">
-        {role===Roles.JOBSEEKER &&
+        {role === Roles.JOBSEEKER &&
             <>
-                {jobAd.active && <button onClick={toggleModal} className="apply-button apply">Apply now</button> }
-                {!jobAd.active && <button className="card-button apply disabled">Apply now</button> }
+                {jobAd.active && <button onClick={toggleModal} className="apply-button apply">Apply now</button>}
+                {!jobAd.active && <button className="card-button apply disabled">Apply now</button>}
             </>
         }
-        <Modal open={modal} onClose={toggleModal} center >
+        <Modal open={modal} onClose={toggleModal} center>
             <div className="head-modal">
                 <h3>Applying to {jobAd.title} at {jobAd.recruiterName}</h3>
@@ -78,5 +78,5 @@
             </div>
 
-            <div className="modal-content" >
+            <div className="modal-content">
                 <form onSubmit={handleSubmit(submitApplication)}>
                     <div className="row">
@@ -92,7 +92,8 @@
                             <p style={{color: "red"}}>{errors.answerTwo?.message}</p>
 
-                            <label className="label">What do you hope to achieve in your first 6 months in this role?</label>
-                            <textarea type="text"  placeholder="Write your answer here..."
-                                   {...register("answerThree")} className="application-textarea"/>
+                            <label className="label">What do you hope to achieve in your first 6 months in this
+                                role?</label>
+                            <textarea type="text" placeholder="Write your answer here..."
+                                      {...register("answerThree")} className="application-textarea"/>
                             <p style={{color: "red"}}>{errors.answerThree?.message}</p>
 
@@ -101,5 +102,7 @@
                             <label htmlFor="start">Curriculum vitae (CV)</label>
                             <br/>
-                            <input {...register("file")} className="resume-link" onChange={(e) => setResumeFile(e.target.files[0])} required type="file" id="fileUpload" accept=".pdf"/>
+                            <input {...register("file")} className="resume-link"
+                                   onChange={(e) => setResumeFile(e.target.files[0])} required type="file"
+                                   id="fileUpload" accept=".pdf"/>
 
                             <br/>
@@ -109,5 +112,6 @@
 
                             <br/><br/>
-                            <p style={{color: "red"}}>Please note that your personal data from your account will be used to identify and process your application.</p>
+                            <p style={{color: "red"}}>Please note that your personal data from your account will be used
+                                to identify and process your application.</p>
                         </div>
                     </div>
